Package org.xnio

# Class ChannelPipe<L extends CloseableChannel,R extends CloseableChannel>

java.lang.Object
org.xnio.ChannelPipe<L,R>

public final class ChannelPipe<L extends CloseableChannel,R extends CloseableChannel> extends Object
A one-way pipe.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ChannelPipe(L leftSide, R rightSide)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`L`
`getLeftSide()`
Get the pipe source.
`R`
`getRightSide()`
Get the pipe sink.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChannelPipe

public ChannelPipe(L leftSide, R rightSide)
Construct a new instance.

Parameters:
  `leftSide` - the pipe left side
  `rightSide` - the pipe right side

## Method Details

### getLeftSide

public L getLeftSide()
Get the pipe source.

Returns:
  the pipe source

### getRightSide

public R getRightSide()
Get the pipe sink.

Returns:
  the pipe sink